/*
 * Copyright 2000-2011 JetBrains s.r.o.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.intellij.openapi.vcs.annotate;

import com.intellij.openapi.vcs.history.VcsAbstractHistorySession;
import com.intellij.openapi.vcs.history.VcsRevisionNumber;
import org.jetbrains.annotations.Nullable;

/**
 * @author irengrig
 *         Date: 3/17/11
 *         Time: 4:58 PM
 */
public interface VcsCacheableAnnotationProvider {
  VcsAnnotation createCacheable(final FileAnnotation fileAnnotation);
  @Nullable
  FileAnnotation restore(final VcsAnnotation vcsAnnotation,
                         VcsAbstractHistorySession session,
                         String annotatedContent,
                         boolean forCurrentRevision, VcsRevisionNumber revisionNumber);
}
